# TdApi.ChatEventBackgroundChanged (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventBackgroundChanged

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventBackgroundChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventBackgroundChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventBackgroundChanged extends TdApi.ChatEventAction
The chat background was changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.ChatBackground`
`newBackground`
New background; may be null if none.
`TdApi.ChatBackground`
`oldBackground`
Previous background; may be null if none.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventBackgroundChanged()`
The chat background was changed.
`ChatEventBackgroundChanged(TdApi.ChatBackground oldBackground, TdApi.ChatBackground newBackground)`
The chat background was changed.
`ChatEventBackgroundChanged(DataInput input)`
The chat background was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldBackground

public TdApi.ChatBackground oldBackground
Previous background; may be null if none.

### newBackground

public TdApi.ChatBackground newBackground
New background; may be null if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventBackgroundChanged

public ChatEventBackgroundChanged()
The chat background was changed.

### ChatEventBackgroundChanged

public ChatEventBackgroundChanged(TdApi.ChatBackground oldBackground, TdApi.ChatBackground newBackground)
The chat background was changed.

Parameters:
  `oldBackground` - Previous background; may be null if none.
  `newBackground` - New background; may be null if none.

### ChatEventBackgroundChanged

public ChatEventBackgroundChanged(DataInput input) throws IOException
The chat background was changed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`